/*
 * components/mega-header/navigation
 */
@import "../../../assets/styles/vars.css";

.navbar-nav {
  margin: 0 0 0 40px;
  padding-left: 0;
  list-style: none;
  height: 40px;
  width: max-content;
  @media (--media-min-desktop) {
    margin: 0;
  }

  & > li.dropdown.more .dropdown-menu > li {
    padding: 10px 10px 10px 20px;
    border-bottom: 2px solid #F4F3F4;
    min-width: 200px;
    & .sub-cats {
      display: none;
    }
  }

  & > li {
    position: relative;
    z-index: 2;
    float: left;
    padding: 10px;
    border-left: 2px solid transparent;
    border-right: 2px solid transparent;
    border-bottom: 2px solid transparent;
    display: inline-block;

    &.current > a,
    & ul li.current a {
      color: var(--megaCurrentSite);
    }

    &.open,
    &:hover {
      & > a {
        color: var(--megaCurrentSite);
      }
      @media (--media-min-desktop) {
        border-left: 2px solid #F4F3F4;
        border-right: 2px solid #F4F3F4;
        background-color: #fff;
        z-index: 12;
        height: 42px;
        color: var(--megaCurrentSite);
      }
    }

    & a {
      height: 20px;
      line-height: 20px;
      color: #222C31;
      font-size: 16px;
      &:hover {
        color: var(--megaCurrentSite);
        text-decoration: none;
      }
    }

    & > .dropdown-menu {
      position: absolute;
      top: 38px;
      left: -2px;
      z-index: 10;
      display: none;
      float: left;
      min-width: 160px;
      padding: 0;
      margin:  0;
      list-style: none;
      font-size: 14px;
      background-color: #fff;
      border: 2px solid #F4F3F4;
      border-top: 2px solid transparent;
      background-clip: padding-box;
      border-radius: 0;

      & .submenu {
        & > ul {
          list-style-type: none;
          padding: 0;
          margin: 0;

          & > li {
            padding: 10px 0 10px 20px;
            border-bottom: 2px solid #F4F3F4;
            min-width: 300px;
            &:last-of-type {
              border-bottom: none;
            }
          }
        }
      }
    }

    & .dropdown-toggle {
      & svg {
        fill: var(--megaCurrentSite);
        width: 15px;
        height: 15px;
      }
    }

    &:hover .dropdown-menu {
      @media (--media-min-desktop) {
        display: block;
      }
    }
  }
}